%define name monodevelop
%define version 0.5.1
%define svn 1949
%define release 1mdk
%define gtksharp 1.0
%define gtksourceview 0.5
%define monodoc 1.0

Summary: Full-featured IDE for mono and Gtk#
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://go-mono.com/archive/1.0.2/%{name}-%{version}.tar.bz2
Patch1: monodevelop-1949-xdgmime.patch.bz2
URL: http://www.monodevelop.com/
License: GPL
Group: Development/Other
Requires: gecko-sharp >= 0.4
Requires: gtksourceview-sharp >= %gtksourceview
Requires: gnome-sharp >= %gtksharp
Requires: glade-sharp >= %gtksharp
Requires: monodoc >= %monodoc
Requires: shared-mime-info
Requires: xterm
%if %mdkversion > 1000
BuildRequires: libtool >= 1.5
%endif
BuildRequires: gecko-sharp >= 0.4
BuildRequires: gtksourceview-sharp >= %gtksourceview
BuildRequires: gnome-sharp-devel >= %gtksharp
BuildRequires: glade-sharp-devel >= %gtksharp
BuildRequires: monodoc >= %monodoc
BuildRequires: perl-XML-Parser
BuildRequires: ImageMagick
BuildRequires: automake1.8
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description 
This is MonoDevelop which is intended to be a full-featured
integrated development environment (IDE) for mono and Gtk#.
It was originally a port of SharpDevelop 0.98.

%prep
%setup -q
%patch1 -p1
aclocal-1.8
automake-1.8

%build
%if %mdkversion <= 1000
%define __libtoolize true
%endif
%configure2_5x
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/`monodoc --get-sourcesdir`
%makeinstall_std XDGMIME="#"

# menu
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/monodevelop" \
title="MonoDevelop" \
longtitle="Full-featured IDE for mono and Gtk#" \
%if %mdkversion <= 1000
section="More applications/Development/Development environments" \
%else
section="More Applications/Development/Development Environments" \
%endif
needs="x11" \
icon="monodevelop.png" \
startup_notify="yes"
EOF
#icons
mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/%name.png %buildroot%_liconsdir/
convert -scale 32x32 %name.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 %name.png %buildroot%_miconsdir/%name.png

%find_lang %name

%post
update-mime-database %{_datadir}/mime
%update_menus

%postun
update-mime-database %{_datadir}/mime
%clean_menus

%files -f %name.lang
%defattr(-,root,root) 
%doc AUTHORS ChangeLog README 
%{_bindir}/monodevelop
%{_menudir}/%{name}
%{_libdir}/monodevelop/
%{_datadir}/applications/monodevelop.desktop
%{_datadir}/mime/packages/monodevelop.xml
%{_datadir}/pixmaps/monodevelop.png
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- spec fixes
- 0.5.1 final

* Mon Sep 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-0.1949.1mdk
- fix menu
- update to snapshot

* Mon Aug  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-3mdk
- requires xterm

* Wed Jul 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- rebuild for new rpm

* Thu Jul  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- bump deps
- new version

* Fri Jun 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-4mdk
- add scaled icons
- fix deps again

* Fri Jun 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-3mdk
- drop packager tag
- another buildrequires fix

* Thu Jun 3 2004 Sandino "Tigrux" Flores <tigrux@ximian.com> 0.4-2mdk
  - Added menu scripts to %%post and %%postun
  - Own only files it owns
  - Use %%configure2_5x instead of %%configure

* Thu Jun 3 2004 Sandino "Tigrux" Flores <tigrux@ximian.com> 0.4-1mdk
  - First rpm for mandrake
